Bug 6034 - Shelving cart feature can wipe permanent shelving location in certain circumstances
Summary: Shelving cart feature can wipe permanent shelving location in certain circums...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-01 12:01 UTC by Jane Wagner
Modified: 2013-12-05 20:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch file for Bug 6034 (2.33 KB, patch)
2011-04-01 14:34 UTC, Jane Wagner
Details | Diff | Splinter Review
[SIGNED OFF] Bug 6034 - Shelving cart feature can wipe permanent shelving location in certain circumstances (2.95 KB, patch)
2011-06-15 21:01 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jane Wagner 2011-04-01 12:01:58 UTC
We have found that the shelving cart feature added in Bug 3481 can wipe the permanent shelving location in a certain combination of circumstances, particularly if the In Processing part of the feature is not used.  Patch is coming.
Comment 1 Jane Wagner 2011-04-01 14:34:16 UTC
Created attachment 3602 [details] [review]
patch file for Bug 6034

To test, with InProcessingToShelvingCart off, NewItemsDefaultLocation blank, and ReturnToShelvingCart on, create a new item.  Check the contents of the location and permanent_location fields in its item record -- the same value should be in both.  Then run the item through checkin, and look at those fields again.  The location field should now be set to CART while permanent_location should still have the original value.  After the cart_to_shelf cron job runs with the proper timing, check the item record again.  Both location and permanent_location should again be identical.
Comment 2 Jane Wagner 2011-04-01 14:40:32 UTC
This should be included in 3.2.x as well as 3.4.
Comment 3 Liz Rea 2011-06-15 21:01:19 UTC
Created attachment 4490 [details] [review]
[SIGNED OFF] Bug 6034 - Shelving cart feature can wipe permanent shelving location in certain circumstances

Bugfix for problems when shelving cart used without In Processing settings

To test, with InProcessingToShelvingCart off, NewItemsDefaultLocation blank,
and ReturnToShelvingCart on, create a new item.  Check the contents of the
location and permanent_location fields in its item record -- the same value
should be in both.  Then run the item through checkin, and look at those fields
again.  The location field should now be set to CART while permanent_location
should still have the original value.  After the cart_to_shelf cron job runs
with the proper timing, check the item record again.  Both location and
permanent_location should again be identical.
Comment 4 Paul Poulain 2011-08-09 16:04:01 UTC
QA comment:

* the 1st patch attached is not obsolete, the [SIGNED OFF] one is correct
* the patch still applies
* the code looks good, and is small
* I never have used this feature, I can't confirm the behaviour was wrong and was right. Liz has signed off, I trust her for this

I will mark "passed QA" based on those considerations.
Chris, accept or object, I won't complain if you ask for Ian opinion
Comment 5 Chris Cormack 2011-08-10 01:18:31 UTC
Tested as per Liz's test script (Thanks liz) works as described, pushed please test
Comment 6 Chris Cormack 2013-04-20 22:07:57 UTC
Released in 3.4.0